Bug 244140 - no sound for game Shisen-Sho
Summary: no sound for game Shisen-Sho
Status: RESOLVED WORKSFORME
Alias: None
Product: kshisen
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Frederik Schwarzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-10 17:15 UTC by doublewitt
Modified: 2018-09-16 08:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description doublewitt 2010-07-10 17:15:02 UTC
Version:           unspecified (using KDE 4.4.4) 
OS:                Linux

after some updates, no sound is available for the game but my sound works fine for all other applications...

Reproducible: Always

Steps to Reproduce:
simply play the game after application start



Ubuntu 10.04
Comment 1 doublewitt 2010-07-10 17:15:48 UTC
BTW - love the game!
Comment 2 Frederik Schwarzer 2010-07-11 11:31:07 UTC
Hi,

what do you mean by "updates"?
Did it work in 4.4.0 and not anymore in 4.4.4?

Here it works fine in 4.4.4.

Could you run the game from a terminal and see if there is any output when there should be sound?
Comment 3 doublewitt 2010-07-11 16:01:20 UTC
after running the updates manager daily, and installing them, somewhere along the way, I guess something happened and the SOUND will not work for this application. There's not much more I can say... or maybe it's not related to the updates at all - not sure... anyways, I ran it from the terminal and still - no sound.

KDE Version:   Platform Version 4.4.90 (KDE 4.4.90 (KDE 4.5 RC1))
Comment 4 Frederik Schwarzer 2010-07-11 22:06:06 UTC
I have proper sound here in 4.4 and 4.5 branch.

Could you please try to run "kdebugdialog", turn on debug messages (search for kshisen to make sure it is enabled) and run KShisen from a terminal again. Then paste the terminal output.

I am shooting blindly here, but maybe that brings up some information.

And remember to disable debug messages afterwards again. :)
Comment 5 doublewitt 2010-07-11 22:16:36 UTC
Here is the info you requested:


kshisen(5997) KMahjonggTileset::loadTileset: Attempting to load .desktop at "/usr/share/kde4/apps/kmahjongglib/tilesets/alphabet.desktop"
kshisen(5997) KMahjonggTileset::loadTileset: Using tileset at "/usr/share/kde4/apps/kmahjongglib/tilesets/alphabet.svgz"
kshisen(5997)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
kshisen(5997) KMahjonggBackground::load: Background loading
kshisen(5997) KMahjonggBackground::load: Attempting to load .desktop at "/usr/share/kde4/apps/kmahjongglib/backgrounds/default_old.desktop"
kshisen(5997) KMahjonggBackground::load: Using background at "/usr/share/kde4/apps/kmahjongglib/backgrounds/default.svg"
kshisen(5997)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
kshisen(5997) Board::loadBackground: Exit on success
kshisen(5997) Board::setChineseStyleFlag: ==== Chinese flag is now set.
kshisen(5997) Board::newGame: ==== Chinese flag is set
kshisen(5997) Board::newGame: Exit without shuffling
kshisen(5997) Board::newGame: ==== Chinese flag is set
kshisen(5997) Board::newGame: Exit if game does not need to be solvable
kshisen(5997)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-doublewitt/ksycoca4"
kshisen(5997) Phonon::KdePlatformPlugin::createBackend: using backend:  "Xine"
kshisen(5997)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
kshisen(5997) Board::resizeEvent: [resizeEvent]
kshisen(5997) Board::resizeEvent: [resizeEvent]
Comment 6 Frederik Schwarzer 2010-07-11 22:33:10 UTC
Ok, thanks.

Just to be on the safe side: did you actually play a bit to have possible sound system output on the terminal?

Despite that, I have no clue what could be causing this. :(
For now I just have to hope that some other update fixes it for you, sorry.
Comment 7 doublewitt 2010-07-11 22:39:06 UTC
OK - I'll wait...

Yes I played after launching from the terminal - same results...
Comment 8 Karl Ove Hufthammer 2018-09-16 08:16:41 UTC
Sound now works. The game has been ported to Frameworks 5, and that may have fixed any sound-related bugs.